#ifndef HIDCONTROLLER_H
#define HIDCONTROLLER_H
#include "hidcontrollerbase.h"
#include <qwidget.h>
#include <qlineedit.h>
#include <stdio.h>
#include <qframe.h>
#include <qslider.h>

class hidcontroller : public hidcontrollerbase
{ 
	Q_OBJECT

 public:
	hidcontroller( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
	~hidcontroller();


 private:
   	void keyPressEvent(QKeyEvent *e)   { QueueKey(e, 1); }
	void keyReleaseEvent(QKeyEvent *e) { QueueKey(e, 0); }
	void QueueKey(QKeyEvent *e, int pressed);
	void mousePressEvent(QMouseEvent*);
	void mouseMoveEvent(QMouseEvent*);
	void closeEvent(QCloseEvent*);

	void toggleSuspend(bool);

 protected:
	

	FILE *fp;
	int x,y;
	bool notvalid;
	bool isKHloaded;

	unsigned char mouseButton;

	unsigned char modify;

	bool closeApp;


	int intervalSuspend;
	int intervalLightOff;
	int intervalDim;

 private slots:
	void sliderchange(int);
	void moduleLoad();
	void moduleUnload();
	void keyLock();
	void keyUnlock();
	void closeClicked();
};

void signal_handler(int);

#endif // HIDCONTROLLER_H

